<html>
<head>
<title>OGRE: Ogre::MovableObject::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a>::<a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Listener</a></div>
<h1>Ogre::MovableObject::Listener Class Reference</h1><!-- doxytag: class="Ogre::MovableObject::Listener" --><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html" title="Listener which gets called back on MovableObject events.">Listener</a> which gets called back on <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> events.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::MovableObject::Listener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1MovableObject_1_1Listener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#358139c1e09d4c36c050861bd4f5b37e">Listener</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#7731592ff0013b724f0be7a319a73fa8">~Listener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#0cc50a90dbeb3d1049e923ee5866a636">objectDestroyed</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> is being destroyed.  <a href="#0cc50a90dbeb3d1049e923ee5866a636"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#67127c7e6254c75a3e3f064e614a8152">objectAttached</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> has been attached to a node.  <a href="#67127c7e6254c75a3e3f064e614a8152"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a2a6f73325a1609a522a9d6dce5168cf">objectDetached</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> has been detached from a node.  <a href="#a2a6f73325a1609a522a9d6dce5168cf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#7383d0ff8a3e3777378e1a9f9661146f">objectMoved</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> has been moved.  <a href="#7383d0ff8a3e3777378e1a9f9661146f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#3935f0e525d63b03923aa67b137c0695">objectRendering</a> (const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when the movable object of the camera to be used for rendering.  <a href="#3935f0e525d63b03923aa67b137c0695"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#b82c6299605910b4051ebb3cc3e5539e">LightList</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#d53d3feb40d1d1fb81db1cb620df6d8e">objectQueryLights</a> (const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when the movable object needs to query a light list.  <a href="#d53d3feb40d1d1fb81db1cb620df6d8e"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1MovableObject_1_1Listener.html" title="Listener which gets called back on MovableObject events.">Listener</a> which gets called back on <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> events. 
<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00059">59</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="358139c1e09d4c36c050861bd4f5b37e"></a><!-- doxytag: member="Ogre::MovableObject::Listener::Listener" ref="358139c1e09d4c36c050861bd4f5b37e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::MovableObject::Listener::Listener           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00062">62</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7731592ff0013b724f0be7a319a73fa8"></a><!-- doxytag: member="Ogre::MovableObject::Listener::~Listener" ref="7731592ff0013b724f0be7a319a73fa8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::MovableObject::Listener::~Listener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00063">63</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="0cc50a90dbeb3d1049e923ee5866a636"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectDestroyed" ref="0cc50a90dbeb3d1049e923ee5866a636" args="(MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::MovableObject::Listener::objectDestroyed           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> is being destroyed. 
<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00065">65</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="67127c7e6254c75a3e3f064e614a8152"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectAttached" ref="67127c7e6254c75a3e3f064e614a8152" args="(MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::MovableObject::Listener::objectAttached           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> has been attached to a node. 
<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00067">67</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a2a6f73325a1609a522a9d6dce5168cf"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectDetached" ref="a2a6f73325a1609a522a9d6dce5168cf" args="(MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::MovableObject::Listener::objectDetached           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> has been detached from a node. 
<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00069">69</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7383d0ff8a3e3777378e1a9f9661146f"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectMoved" ref="7383d0ff8a3e3777378e1a9f9661146f" args="(MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::MovableObject::Listener::objectMoved           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> has been moved. 
<p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00071">71</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3935f0e525d63b03923aa67b137c0695"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectRendering" ref="3935f0e525d63b03923aa67b137c0695" args="(const MovableObject *, const Camera *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::MovableObject::Listener::objectRendering           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when the movable object of the camera to be used for rendering. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if allows queue for rendering, false otherwise. </dd></dl>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00076">76</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d53d3feb40d1d1fb81db1cb620df6d8e"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectQueryLights" ref="d53d3feb40d1d1fb81db1cb620df6d8e" args="(const MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#b82c6299605910b4051ebb3cc3e5539e">LightList</a>* Ogre::MovableObject::Listener::objectQueryLights           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when the movable object needs to query a light list. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If you want to customize light finding for this object, you should override this method and hook into <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> via <a class="el" href="classOgre_1_1MovableObject.html#9efbb3928b834d4f125303698034951e" title="Sets a listener for this object.">MovableObject::setListener</a>. Be aware that the default method caches results within a frame to prevent unnecessary recalculation, so if you override this you should provide your own cacheing to maintain performance. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>If you use texture shadows, there is an additional restriction - since the lights which should have shadow textures rendered for them are determined based on the entire frustum, and not per-object, it is important that the lights returned at the start of this list (up to the number of shadow textures available) are the same lights that were used to generate the shadow textures, and they are in the same order (particularly for additive effects). </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A pointer to a light list if you populated the light list yourself, or NULL to fall back on the default finding process. </dd></dl>

<p>Definition at line <a class="el" href="OgreMovableObject_8h-source.html#l00096">96</a> of file <a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMovableObject_8h-source.html">OgreMovableObject.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:54 2008
</p>
</body>
</html>
